%define name	gtkpod
%define version 0.88.2
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	GTK interface to iPod
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/gtkpod/%{name}-%{version}.tar.bz2
URL:		http://gtkpod.sourceforge.net/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libid3lib-devel gtk2-devel gettext pkgconfig

%description
gtkpod is a platform independent GUI for Apple's iPod using GTK2. It allows
you to upload songs and playlists to your iPod. It supports ID3 tag editing,
multiple charsets for ID3 tags, detects duplicate songs, allows offline
modification of the database with later synchronisation, and more.

gtkpod allows you to
    * Read your existing iTunesDB (i.e. import the existing contents of
      your iPod).
    * Add mp3 files to the iPod. You can choose the charset the ID3 tags
      are encoded in from within gtkpod. The default is the charset
      currently used by your locale setting.
    * When adding songs, gtkpod detects duplicates (opt).
    * Remove songs from the iPod.
    * Create and modify playlists.
    * Modify ID3 tags -- changes are also updated in the original file (opt)
    * Write the updated iTunesDB and added songs to your iPod.
    * Work offline and synchronize your new playlists / songs with the iPod
      at a later time.

%prep
%setup -q
chmod 644 README ChangeLog COPYING AUTHORS

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%name.png" needs="x11" title="GTKPod" longtitle="Interface to iPod" section="Multimedia/Sound"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cp pixmaps/%name-icon-48x48.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 pixmaps/%name-icon-64x64.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 pixmaps/%name-icon-64x64.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_bindir}/%name
%{_datadir}/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Sat Apr 02 2005 Eskild Hustvedt <eskild@mandrake.org> 0.88.2-1mdk
- New release 0.88.2
- %%mkrel

* Thu Mar 17 2005 Austin Acton <austin@mandrake.org> 0.88.1-1mdk
- New release 0.88.1

* Thu Mar 10 2005 Austin Acton <austin@mandrake.org> 0.88-1mdk
- New release 0.88

* Wed Mar 02 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.87.3-1mdk
- 0.87.3

* Sat Nov 20 2004 Austin Acton <austin@mandrake.org> 0.85.0-1mdk
- 0.85.0

* Wed Sep 22 2004 Austin Acton <austin@mandrake.org> 0.80-2.1mdk
- 0.80-2
- configure 2.5

* Thu Apr 1 2004 Austin Acton <austin@mandrake.org> 0.72-2.1mdk
- 0.72-2

* Thu Dec 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.70-1mdk
- 0.70

* Mon Oct 6 2003 Austin Acton <aacton@yorku.ca> 0.60-1mdk
- 0.60

* Sun Jul 6 2003 Austin Acton <aacton@yorku.ca> 0.52-1mdk
- 0.52

* Thu Jun 5 2003 Austin Acton <aacton@yorku.ca> 0.51-2.1mdk
- 0.51-2

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 0.50-2mdk
- build release for libid3

* Sun Mar 23 2003 Austin Acton <aacton@yorku.ca> 0.50-1mdk
- 0.50

* Thu Feb 27 2003 Austin Acton <aacton@yorku.ca> 0.43-1mdk
- 0.43

* Thu Feb 20 2003 Austin Acton <aacton@yorku.ca> 0.42-1mdk
- 0.42

* Mon Feb 10 2003 Austin Acton <aacton@yorku.ca> 0.41-1mdk
- initial package
